Package: org.codehaus.groovy.control

## [Java] Class StaticVerifier

- org.codehaus.groovy.control.StaticVerifier

- Verifier to check non-static access in static contexts

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.codehaus.groovy.control.SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitClass(ClassNode node, org.codehaus.groovy.control.SourceUnit source)`
    `` | `void` | `visitClosureExpression(ClosureExpression ce)`
    `` | `void` | `visitConstructorCallExpression(ConstructorCallExpression cce)`
    `` | `void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `` | `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `` | `void` | `visitPropertyExpression(PropertyExpression pe)`
    `` | `void` | `visitVariableExpression(VariableExpression ve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected org.codehaus.groovy.control.SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node, org.codehaus.groovy.control.SourceUnit source)

    - #### @Override public void visitClosureExpression(ClosureExpression ce)

    - #### @Override public void visitConstructorCallExpression(ConstructorCallExpression cce)

    - #### @Override public void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### @Override public void visitMethodCallExpression(MethodCallExpression mce)

    - #### @Override public void visitPropertyExpression(PropertyExpression pe)

    - #### @Override public void visitVariableExpression(VariableExpression ve)